=== debian/changelog ===
lomiri-system-settings (1.1.0-2) unstable; urgency=medium

  * debian/control:
    + Update LONG_DESCRIPTION fields. Lomiri is not a desktop environment, but
      an operating environment.
    + Add to D: lomiri-system-settings-security-privacy. This introduces a
      cyclic dependency between l-s-s and l-s-s-security-privacy. The
      battery plugin in l-s-s requires QML code from l-s-s-security-privacy
      while l-s-s-security-privacy requires the l-s-s UI for being displayed.
  * debian/patches:
    + Drop 2003_hide-lock-on-suspend-or-sleep.patch. lomiri-system-settings-
      security-privacy is now available in Debian.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 26 Mar 2024 21:52:15 +0100

lomiri-system-settings (1.1.0-1) unstable; urgency=medium

  * debian/patches:
    + Add 1004_qofono-module-notifications-plugin.patch. Fix not displayed
      notifications plugin (wrong module path for QOfono QML module).
    + Add 2003_hide-lock-on-suspend-or-sleep.patch. Comment lock-on-suspend /
      sleep-when-idle setting until l-s-s-security-privacy has been uploaded
      to Debian.
  * debian/control:
    + Update versioned D on qml-module-ofono to (>= 0.117~).
    + Add to B-D: (for unit tests): qml-module-ofono (>=0.117~).
    + Switch from pkg-config to pkgconf. Thanks, lintian.
  * debian/{control,rules}:
    + B-D and D clean-up. Drop various Python dependencies.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 11 Mar 2024 12:33:08 +0100

lomiri-system-settings (1.0.2-2) unstable; urgency=medium

  * debian/control:
    + Add to R: lomiri-system-settings-online-accounts.
    + Add to D: upower.
    + Add to D: qml-module-lomiri-settings-fingerprint.
    + Add to B-D: libdeviceinfo-dev.
    + Add to B-D: qml-module-lomiri-settings-fingerprint (for unit tests).
    + Drop from B-D: gdb.
  * debian/rules:
    + Build with -DENABLE_LIBDEVICEINFO=ON.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 05 Mar 2024 09:18:05 +0100
