## lomiri-system-settings 1.2.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.5)
 
-project(lomiri-system-settings VERSION 1.1.0 LANGUAGES C CXX)
+project(lomiri-system-settings VERSION 1.2.0 LANGUAGES C CXX)
 
 if(${PROJECT_BINARY_DIR} STREQUAL ${PROJECT_SOURCE_DIR})
    message(FATAL_ERROR "In-tree build attempt detected, aborting. Set your build dir outside your source dir, delete CMakeCache.txt from source root and try again.")
@@ -18,6 +18,8 @@
 option(ENABLE_TESTS "Build tests" ON)
 option(ENABLE_LIBDEVICEINFO "Build with libdeviceinfo support" OFF)
 option(ENABLE_UBUNTU_ACCOUNTSSERVICE "Build with Ubuntu's fork of accountsservice" OFF)
+# TODO: drop this with migration to jammy and beyond!
+option(MODERN_PYTHON_DBUSMOCK "Adapt tst-bluetooth-device to work with python-dbusmock 0.26+" ON)
 
 if(cmake_build_type_lower MATCHES coverage)
   set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} --coverage" )
@@ -32,8 +34,10 @@
 
 set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++0x -fno-permissive -pedantic -Wall -Wextra")
 find_package(Qt5Concurrent REQUIRED)
+find_package(Qt5Core REQUIRED)
 find_package(Qt5DBus REQUIRED)
 find_package(Qt5Gui REQUIRED)
+find_package(Qt5Network REQUIRED)
 find_package(Qt5Qml REQUIRED)
 find_package(Qt5Quick REQUIRED)
 find_package(Qt5Sql REQUIRED)
@@ -47,6 +51,9 @@
 pkg_search_module(GOBJECT REQUIRED gobject-2.0)
 pkg_search_module(GLIB REQUIRED glib-2.0)
 pkg_check_modules(GIO REQUIRED gio-2.0 gio-unix-2.0)
+pkg_check_modules(LIBSYSTEMD REQUIRED libsystemd)
+pkg_check_modules(POLKIT_AGENT REQUIRED polkit-agent-1)
+pkg_check_modules(TRUST_STORE REQUIRED trust-store)
 pkg_search_module(UPOWER_GLIB REQUIRED upower-glib)
 pkg_search_module(ACCOUNTSSERVICE REQUIRED accountsservice)
 if (ENABLE_UBUNTU_ACCOUNTSSERVICE)
@@ -61,29 +68,32 @@
     pkg_check_modules(DEVICEINFO REQUIRED deviceinfo)
 endif()
 
-set(DATA_DIR share)
+include(JoinPaths)
+
+# <datadir>: E.g. "share", "/usr/share" "/not/regular/prefix/share"
+set(DATA_DIR "${CMAKE_INSTALL_DATADIR}")
 set(MODULE_DIR lomiri-system-settings)
 set(MANIFEST_DIR lomiri-system-settings)
 set(QML_DIR qml-plugins)
 set(PRIVATE_DIR private)
 
-# share/lomiri-system-settings
-set(PLUGIN_MANIFEST_DIR_BASE ${DATA_DIR}/${MANIFEST_DIR})
+# <datadir>/lomiri-system-settings
+set(PLUGIN_MANIFEST_DIR_BASE "${DATA_DIR}/${MANIFEST_DIR}")
 # lomiri-system-settings
 set(PLUGIN_MODULE_DIR_BASE ${MODULE_DIR})
 # lomiri-system-settings/private
 set(PLUGIN_PRIVATE_MODULE_DIR_BASE "${PLUGIN_MODULE_DIR_BASE}/${PRIVATE_DIR}")
-# share/lomiri-system-settings/qml-plugins
-set(PLUGIN_QML_DIR_BASE ${DATA_DIR}/${MANIFEST_DIR}/${QML_DIR})
+# <datadir>/lomiri-system-settings/qml-plugins
+set(PLUGIN_QML_DIR_BASE "${DATA_DIR}/${MANIFEST_DIR}/${QML_DIR}")
 # E.g. /usr/share/lomiri-system-settings
-set(PLUGIN_MANIFEST_DIR "${CMAKE_INSTALL_PREFIX}/${PLUGIN_MANIFEST_DIR_BASE}")
+join_paths(PLUGIN_MANIFEST_DIR "${CMAKE_INSTALL_PREFIX}" "${PLUGIN_MANIFEST_DIR_BASE}")
 # E.g. /usr/lib/lomiri-system-settings
-set(PLUGIN_MODULE_DIR "${CMAKE_INSTALL_PREFIX}/${LIBDIR}/${PLUGIN_MODULE_DIR_BASE}")
+join_paths(PLUGIN_MODULE_DIR "${CMAKE_INSTALL_PREFIX}" "${LIBDIR}/${PLUGIN_MODULE_DIR_BASE}")
 # E.g. /usr/share/lomiri-system-settings/qml-plugins
-set(PLUGIN_QML_DIR "${CMAKE_INSTALL_PREFIX}/${PLUGIN_QML_DIR_BASE}")
+join_paths(PLUGIN_QML_DIR "${CMAKE_INSTALL_PREFIX}" "${PLUGIN_QML_DIR_BASE}")
 # E.g. /usr/lib/lomiri-system-settings/private
-set(PLUGIN_PRIVATE_MODULE_DIR "${CMAKE_INSTALL_PREFIX}/${LIBDIR}/${PLUGIN_PRIVATE_MODULE_DIR_BASE}")
-set(SETTINGS_SHARE_DIR "${CMAKE_INSTALL_PREFIX}/${PLUGIN_MANIFEST_DIR_BASE}")
+join_paths(PLUGIN_PRIVATE_MODULE_DIR "${CMAKE_INSTALL_PREFIX}" "${LIBDIR}/${PLUGIN_PRIVATE_MODULE_DIR_BASE}")
+join_paths(SETTINGS_SHARE_DIR "${CMAKE_INSTALL_PREFIX}" "${PLUGIN_MANIFEST_DIR_BASE}")
 
 SET(CMAKE_INSTALL_RPATH "${PLUGIN_MODULE_DIR}")
 
@@ -117,7 +127,7 @@
 install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${DESKTOP_FILE}
         DESTINATION ${CMAKE_INSTALL_DATADIR}/applications)
 
-install(FILES lomiri-system-settings.url-dispatcher DESTINATION share/lomiri-url-dispatcher/urls)
+install(FILES lomiri-system-settings.url-dispatcher DESTINATION ${CMAKE_INSTALL_DATADIR}/lomiri-url-dispatcher/urls)
 install(FILES screenshot.png DESTINATION ${SETTINGS_SHARE_DIR})
 install(FILES system-settings.svg DESTINATION ${SETTINGS_SHARE_DIR})
 install(FILES system-settings-app-splash.svg DESTINATION ${SETTINGS_SHARE_DIR})
