=== plugins/CMakeLists.txt ===
if(ANDR_PROP_FOUND)
    add_subdirectory(about)
    add_subdirectory(brightness)
    add_subdirectory(nfc)
endif()
add_subdirectory(background)
add_subdirectory(battery)
add_subdirectory(bluetooth)
add_subdirectory(example)
add_subdirectory(flight-mode)
add_subdirectory(gestures)
add_subdirectory(hotspot)
add_subdirectory(language)
add_subdirectory(launcher)
add_subdirectory(mouse)
add_subdirectory(notifications)
add_subdirectory(orientation-lock)
add_subdirectory(printing)
add_subdirectory(reset)
add_subdirectory(security-privacy)
add_subdirectory(sound)
add_subdirectory(time-date)
add_subdirectory(vpn)
add_subdirectory(wifi)
