=== debian/changelog ===
lomiri-system-settings (1.2.0-1) unstable; urgency=medium

  * New upstream release.
    - Ship l-s-s-security-privacy settings dialogs.
  * debian/control:
    + Add B:/R: for lomiri-system-settings-security-privacy.
    + Bump Standards-Version to 4.7.0. No changes needed.
    + Recommend lomiri >= 0.3.0.
    + Adjust to merged-in security-privacy plugin.
    + Require lomiri-schemas (>= 0.1.5).
    + Add to D: python3, python3-gi (for update-notification-settings script).
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.
  * debian/patches:
    + Drop all patches. Applied upstream.
    + Rebase 2000_use-maliit-keyboard-for-language-plugin.patch.
    + Add 2011_build-without-trust-store.patch and 2012_no-Location-service-
      yet.patch. Build without trust-store and location-service support for
      now.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 17 Jul 2024 12:45:36 +0200

lomiri-system-settings (1.1.0-4) unstable; urgency=medium

  [ Guido Berhoerster ]
  * debian/<systemd-magic>: Add script and systemd path unit for updating
    notifications preferences:
    This watches /usr/lib/lomiri-push-service/legacy-helpers/ for changes and
    updates the GSettings com.lomiri.notifications.settings.applications setting
    accordingly.

  [ Mike Gabriel ]
  * debian/rules:
    + Amend dh_makeshlibs override, use correct path.
  * debian/lomiri-system-settings-notification-settings.{path,service}:
    + Only update applications via lomiri-system-settings-notification-
      settings.service on lomiri session start.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 22 May 2024 12:03:27 +0200

lomiri-system-settings (1.1.0-3) unstable; urgency=medium

  * debian/patches:
    + Add patches 0006a - 0006c. Support using vendor interface in
      AccountsService for storing background image path.
    + Drop 2001_disable-current-language-switching.patch. Handled
      by upstream commit 722fc6ce.
  * debian/rules:
    + Build with -DENABLE_UBUNTU_ACCOUNTSSERVICE=ON only on Ubuntu and
      derivatives.
  * debian/watch:
    + Update file for recent GitLab changes of the tags overview page.
  * debian/control:
    + Recommend lomiri (>= 0.2.1-11~) which has the required AccountsService
      property for patch 0006a.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 21 Apr 2024 10:58:53 +0200
