=== debian/control ===
--- 
+++ 
@@ -21,10 +21,12 @@
                libgnome-desktop-3-dev,
                libgsettings-qt-dev,
                libicu-dev,
+               libpolkit-agent-1-dev,
                libqmenumodel-dev,
                libqt5sql5-sqlite <!nocheck>,
                libqtdbusmock1-dev (>= 0.2+14.04.20140724) <!nocheck>,
                libqtdbustest1-dev <!nocheck>,
+               libsystemd-dev,
                libudev-dev,
                libupower-glib-dev,
                pkgconf,
@@ -50,7 +52,7 @@
                suru-icon-theme,
                xvfb <!nocheck>,
                xauth <!nocheck>,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://gitlab.com/ubports/development/core/lomiri-system-settings
 Vcs-Git: https://salsa.debian.org/ubports-team/lomiri-system-settings.git
@@ -65,10 +67,11 @@
          gsettings-desktop-schemas,
          fonts-noto-core,
          liblomirisystemsettings1 (= ${binary:Version}),
-         lomiri-system-settings-security-privacy,
          lomiri-indicator-network,
-         lomiri-schemas,
+         lomiri-schemas (>= 0.1.5),
          maliit-keyboard,
+         python3,
+         python3-gi,
          qmenumodel-qml,
          qml-module-gsettings1.0,
          qml-module-lomiri-components,
@@ -92,9 +95,13 @@
           dbus-property-service,
           system-image-dbus (>= 3.1),
           urfkill,
-Recommends: lomiri-sounds,
+Recommends: lomiri (>= 0.3.0-1~),
+            lomiri-sounds,
             lomiri-system-settings-online-accounts,
             repowerd,
+Breaks: lomiri-system-settings-security-privacy,
+Replaces: lomiri-system-settings-security-privacy,
+Provides: lomiri-system-settings-security-privacy,
 Description: System Settings application for Lomiri
  Lomiri-system-settings is the System Settings application used in Lomiri
  operating environment. it's designed for phones, tablets and convergent
