=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,9 @@
 export CONFIGURE_FLAGS := -DENABLE_TESTS=OFF
 endif
 
-
+ifeq ($(shell dpkg-vendor --derives-from Ubuntu && echo yes),yes)
+CONFIGURE_FLAGS += -DENABLE_UBUNTU_ACCOUNTSSERVICE=ON
+endif
 
 export HOME=$(CURDIR)/debian/build
 
@@ -58,7 +60,7 @@
 	dh_install -X'*.pyc'
 
 override_dh_makeshlibs:
-	dh_makeshlibs -Xusr/lib/$(DEB_HOST_MULTIARCH)/ubuntu-system-settings
+	dh_makeshlibs -Xusr/lib/$(DEB_HOST_MULTIARCH)/lomiri-system-settings
 
 override_dh_missing:
 	dh_missing --fail-missing
