=== debian/changelog ===
lomiri-system-settings (1.3.0-4build1) plucky; urgency=medium

  * Rebuild against new ppp 2.5.2-1+1.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 26 Feb 2025 15:34:04 +0100

lomiri-system-settings (1.3.0-4) unstable; urgency=medium

  * debian/control:
    + Drop python3* build-dependencies. Not needed (autopilot remnants from
      upstream packaging).
    + Pull-in lomiri-keyboard rather than maliit-keyboard.
  * debian/patches:
    + Drop 2000_use-maliit-keyboard-for-language-plugin.patch. Use lomiri-
      keyboard from now on.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 26 Jan 2025 12:27:05 +0100

lomiri-system-settings (1.3.0-3) unstable; urgency=medium

  * debian/control:
    + Drop version from libicu-dev in B-D: field. This was for testing and
      should not have landed in the uploaded package.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 10 Jan 2025 09:58:47 +0100

lomiri-system-settings (1.3.0-2) unstable; urgency=medium

  * debian/patches:
    + Add 1001_dont-hardcode-cxx-standard.patch. (Closes: #1092339).

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 07 Jan 2025 17:48:05 +0100

lomiri-system-settings (1.3.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 07 Jan 2025 17:20:27 +0100

lomiri-system-settings (1.2.0-2) unstable; urgency=medium

  * debian/rules:
    + Fix sloppy usage of HOME vs. BUILDHOME and its removal during
      dh_auto_clean override. (Closes: #1090244).

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 17 Dec 2024 13:15:16 +0100
