=== debian/control ===
--- 
+++ 
@@ -30,10 +30,6 @@
                libudev-dev,
                libupower-glib-dev,
                pkgconf,
-               python3-dbus (>= 0.30.2) <!nocheck>,
-               python3-gi <!nocheck>,
-               python3-setuptools,
-               python3:any <!nocheck>,
                qml-module-lomiri-components <!nocheck>,
                qml-module-lomiri-settings-components <!nocheck>,
                qml-module-lomiri-settings-fingerprint <!nocheck>,
@@ -69,9 +65,9 @@
          liblomirisystemsettings1 (= ${binary:Version}),
          lomiri-indicator-network,
          lomiri-schemas (>= 0.1.5),
-         maliit-keyboard,
          python3,
          python3-gi,
+         lomiri-keyboard,
          qmenumodel-qml,
          qml-module-gsettings1.0,
          qml-module-lomiri-components,
