=== debian/rules ===
--- 
+++ 
@@ -24,7 +24,7 @@
 CONFIGURE_FLAGS += -DENABLE_UBUNTU_ACCOUNTSSERVICE=ON
 endif
 
-export HOME=$(CURDIR)/debian/build
+export BUILDHOME=$(CURDIR)/debian/build
 
 override_dh_auto_configure:
 	# Debian defines CMAKE_INSTALL_LOCALSTATEDIR as /usr/var, which is wrong.
@@ -42,12 +42,12 @@
 	rm -rf $(BUILDHOME)
 
 override_dh_auto_test:
-	mkdir -p $(HOME)
+	mkdir -p $(BUILDHOME)
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 ifneq (,$(filter $(DEB_HOST_ARCH),$(testskip_architectures)))
-	-dh_auto_test --no-parallel
+	export HOME=$(BUILDHOME) && -dh_auto_test --no-parallel
 else
-	dh_auto_test --no-parallel
+	export HOME=$(BUILDHOME) && dh_auto_test --no-parallel
 endif
 endif
